org.eclipse.wst.jsdt.js.npm

## Class PackageJson

- java.lang.Object
- - org.eclipse.wst.jsdt.js.npm.PackageJson

    public class PackageJson
    extends java.lang.Object

Specifics of npm's package.json

See Also:
  https://docs.npmjs.com/files/package.json

### Nested Class Summary

Nested Classes
`static class` `PackageJson.Builder`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAuthor()`
`java.util.Map<java.lang.String,java.lang.String>` `getDependencies()`
`java.lang.String` `getDescription()`
`java.lang.String` `getLicense()`
`java.lang.String` `getMain()`
`java.lang.String` `getName()`
`java.util.Map<java.lang.String,java.lang.String>` `getScripts()`
`java.lang.String` `getVersion()`
`void` `setAuthor(java.lang.String author)`
`void` `setDependencies(java.util.Map<java.lang.String,java.lang.String> dependencies)`
`void` `setDescription(java.lang.String description)`
`void` `setLicense(java.lang.String license)`
`void` `setMain(java.lang.String main)`
`void` `setName(java.lang.String name)`
`void` `setScripts(java.util.Map<java.lang.String,java.lang.String> scripts)`
`void` `setVersion(java.lang.String version)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getName

    public java.lang.String getName()

#### setName

    public void setName(java.lang.String name)

#### getVersion

    public java.lang.String getVersion()

#### setVersion

    public void setVersion(java.lang.String version)

#### getScripts

    public java.util.Map<java.lang.String,java.lang.String> getScripts()

#### setScripts

    public void setScripts(java.util.Map<java.lang.String,java.lang.String> scripts)

#### getLicense

    public java.lang.String getLicense()

#### setLicense

    public void setLicense(java.lang.String license)

#### getDescription

    public java.lang.String getDescription()

#### setDescription

    public void setDescription(java.lang.String description)

#### getMain

    public java.lang.String getMain()

#### setMain

    public void setMain(java.lang.String main)

#### getAuthor

    public java.lang.String getAuthor()

#### setAuthor

    public void setAuthor(java.lang.String author)

#### getDependencies

    public java.util.Map<java.lang.String,java.lang.String> getDependencies()

#### setDependencies

    public void setDependencies(java.util.Map<java.lang.String,java.lang.String> dependencies)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`